Event Update
curl --request PUT \
--url https://dev.api.mufi.app/v1/events/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"start_date": 123,
"end_date": 123
}
'import requests
url = "https://dev.api.mufi.app/v1/events/update"
payload = {
"name": "<string>",
"description": "<string>",
"start_date": 123,
"end_date": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', start_date: 123, end_date: 123})
};
fetch('https://dev.api.mufi.app/v1/events/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"start_date": 123,
"end_date": 123,
"location": "<string>",
"address": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_id": "<string>",
"description": "<string>"
}{
"errors": [
"<string>"
]
}{
"message": "<string>"
}{
"message": "<string>"
}Events Endpoints
Event Update
Update an existing event record for a project. This can be used to update the event name, description, start date, and end date.
PUT
/
v1
/
events
/
update
Event Update
Authorizations
A JWT Access Token obtained from Google Cloud.
Body
application/json
The request body must include the event ID or reference ID, and the fields to update.
Response
Created.
An optional ID of the reference object in your database. This can be used to query events by reference object.
⌘I